package pkg

// Processable describes a work unit to be processed by the workers.
type Processable interface {
	// SetID sets a unique identifier generated by the worker for every new work unit, so each
	// work unit can be individually tracked e.g. in logs.
	SetID(id string)

	// Process is the main work unit processing method call. It should implement the actual job
	// processing for each work unit.
	Process() error
}
